Custom Field
A custom field allows you to create a customized field to track extra characteristics and attributes of a record. Custom field object allows you to perform the following operations:
- Retrieve a specific custom field or a list of custom fields
- Create a custom field
- Update a custom field
- Delete a custom field
- cURL
- NODE.JS
- PHP
- C#
- PYTHON
- JAVA
The Custom Field Object
asterisk denotes required| Name | Description | Format | Attributes |
|---|---|---|---|
| label | Name of the custom field | string | MaxLength = 50 Filterable, Sortable |
| createdById | Identifier of the user who created this object | uuid | Filterable |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid | |
| definitionId | Identifier of the custom field assigned to a module | uuid | Filterable |
| description | Represents the description of the custom field | string | MaxLength = 100 |
| id | Object identifier | uuid | Filterable |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| lastUpdatedById | Identifier of the user who last updated this object | uuid | Filterable |
| length | Number of characters allowed in a custom field | int32 | |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModule Enumerated type: Click to see possible values and their descriptions. | Filterable |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectState Enumerated type: Click to see possible values and their descriptions. | |
| token | Represents the token for update operations | int32 | |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldType Enumerated type: Click to see possible values and their descriptions. | |
| version | Implements concurrency on this object | byte |
Custom Field List
Use this method to retrieve a list of custom fields. You can optionally pass where, orderBy, and page as query parameters to filter the result. Use the fields parameter to request a subset of the model. By default, a complete model is returned.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| fields | Query | Specifies the model properties you want in the response body | string |
| where | Query | Specifies only those records that match an expression in the query | string |
| orderBy | Query | Specifies the order of the records | string |
| page | Query | Specifies the page number and number of records on each page | string |
| expand | Query | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| definitionId | Identifier of the custom field assigned to a module | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModuleEnumerated type: Click to see possible values and their descriptions. |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
[
{
"label": "label",
"createdById": "9fc14832-6974-49a4-9858-bba914d4f52c",
"createdOn": "2026-09-23T06:02:25Z",
"customListId": "790a668c-e67e-4f57-b9f3-50c59bdb8580",
"definitionId": "15c61d12-684e-44e6-ab78-c2b6d3f91e59",
"description": "AssignedCustomField Description",
"id": "20c79b29-a6d2-417b-b44c-235bee4a7f03",
"lastUpdated": "2026-09-23T06:02:25Z",
"lastUpdatedById": "d549a10c-1118-47a1-b4e7-99c13c52d8b2",
"length": 0,
"module": null,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}
]Retrieve a Custom Field
Use this method to retrieve a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "f4922690-82a2-49fe-a20c-27f247b9526d",
"createdOn": "2026-09-23T06:02:25Z",
"customListId": "1401b9f2-7ad9-4a0b-baf6-51a0aade6ab3",
"description": "CustomField Description",
"id": "c83d1335-bbe4-4d88-aa42-19cb96fec5c9",
"lastUpdated": "2026-09-23T06:02:25Z",
"lastUpdatedById": "b92ccf11-2e30-4aa0-986c-7689a954e7f1",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field
Use this method to save a custom field. Pass custom field as the parameter.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "ae0ca983-2177-4afd-a468-b833f1f178f0",
"createdOn": "2026-09-23T06:02:25Z",
"customListId": "249ea445-67c4-4c08-9cf1-96ca2cfe311f",
"description": "CustomField Description",
"id": "e2303373-b871-4d5e-ba60-2b47bc92f125",
"lastUpdated": "2026-09-23T06:02:25Z",
"lastUpdatedById": "3f032d80-da41-46d0-b174-055b7d3c2ebb",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field List
Use this method to save multiple custom fields. Pass model as the parameter.
As saving multiple records in a batch takes time, this endpoint returns a Job object that shows the progress of the batch operation. To check the status of the operation at any time, use the job endpoint.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomFieldBatchRequest |
Response Body
| Name | Description | Format |
|---|---|---|
| batchSize | Represents the number of entities in a batch | int64 |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| progress | Represents the total number of entities processed | int64 |
| status | Represents the status of a job e.g., ready, running, completed, or terminated | string |
| token | Represents the token for update operations | int32 |
| type | Represents the type of a job e.g., create, update, or delete | string |
| version | Implements concurrency on this object | byte |
{
"batchSize": 0,
"createdById": "0d40e5a1-fad7-474f-bbdb-c82dd6d86cfd",
"createdOn": "2026-09-23T06:02:25Z",
"id": "ce44919e-cdf5-431e-bc3c-817e5d926474",
"lastUpdated": "2026-09-23T06:02:25Z",
"lastUpdatedById": "f8ceab0e-77f2-4d07-ae75-e5517f4e0cb2",
"objectState": null,
"progress": 0,
"status": "status",
"token": 0,
"type": "type",
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field Assign
Use this method to assign multiple custom fields to a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | AssignCustomField |
Create a Custom Field Unassign
Use this method to remove a custom field from a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | UnAssignCustomField |
Update a Custom Field
Use this method to update a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
PUT
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|
{
"label": "label",
"createdById": "7fa4f82c-0545-4560-b416-7c5acb733c0e",
"createdOn": "2026-09-23T06:02:25Z",
"customListId": "2aac907a-c141-4fc9-b9b9-2e63f9e97427",
"description": "CustomField Description",
"id": "64ccdc23-c9f5-4c4e-9a82-233be68f50b8",
"lastUpdated": "2026-09-23T06:02:25Z",
"lastUpdatedById": "f601e65e-ca22-4c07-a57c-baee3d6db3de",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Delete a Custom Field
Use this method to delete a custom field. Pass id as the parameter. You can only delete a custom field if it is not assigned to any module.
Request URL
Method Overview
HTTP Method:
DELETE
Content Type:
application/json
Response Format:
N/A
Requires Authentication?
Yes
Headers:
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Patch a Custom Field
Use this method to perform partial modifications to a custom field. Pass id and patch document as parameters.
Request URL
Method Overview
HTTP Method:
PATCH
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | A document containing an array of objects with each object representing a single operation | CustomFieldPatchDocument |
Response Body
| Name | Description | Format |
|---|